// hw4p3project.cpp : Defines the entry point for the console application.
//
//  MAIN    
//


#include "stdafx.h"



int main(int argc, char* argv[])
{
     WebCache myCache;


     long initial_num_pages = 0;
     char tempURL[MAX_URL_LENGTH];


     char operation = 'f';

    // Ask user for number of pages to initialize.

     while(initial_num_pages < 1 || initial_num_pages > MAX_NUM_PAGES)
       {
         cout << "\n How many web pages do you want to initialize?  (max:  " 
              << MAX_NUM_PAGES << " )  ";
         cin  >> initial_num_pages;
       };


     myCache.InitializeFromFile(initial_num_pages, MAX_URL_LENGTH);


while (operation != 'q')
  {
   cout << "\n Enter your choice: (i)nsert, (d)elete, (m)ember, (w)here, (s)ort, "
        << "(p)rint all pages , (q)uit:  ";

   cin  >> operation;

   //  If the user wants to input, delete, or find a page, we'll have to get a URL from 
   //    them.

   if (operation == 'i' || operation == 'd' || operation == 'm' || operation == 'w')
      {
       cout << "Please enter a URL:    ";
       cin >> tempURL;
      };
    cout << "\n";



   switch (operation)
    {
     case 'i':                      
 /*      myCache.Insert(new WebPage(tempURL));  */
         myCache.InsertURL(tempURL);
       break;
     case 'd':
       myCache.Delete(tempURL);
       break;
     case 'm':                    
       if(myCache.Member(tempURL))
         {cout << "\n Yes, it has been seen.\n";}
         else cout << "\n No, it has not been seen.\n";  
       break;
     case 'w':                    
       if(myCache.Member(tempURL))
         {
          int tempIndex = myCache.IndexOf(tempURL);
          cout << " is in position " << tempIndex << " of array.\n";
         }
         else cout << "\n Sorry, that web page is not in the list.\n";
       break;
     case 'p':
       myCache.Print_URLs();
       break;
     case 'q':
       break;
     case 's':
       myCache.MergeSort();
       break;
     default :
       cout<< "\n INPUT ERROR:  PLEASE CHOOSE ONE OF THE AVAILABLE COMMANDS! \n";
       break;
     }
  }

return 0;

}


