

//  WEBCACHE.H

#if !defined(WEBCACHE_H)
#define WEBCACHE_H

#include "webpage.h"



class WebCache    {

    private:

       int LinearSearch(char input_URL[]);

       WebPage * url_sorted[MAX_NUM_PAGES];

       int numpages;

      public:

       WebCache(){numpages=0;};
           //  Default constructor.  Don't need to do anything.

       void InitializeRandom(int how_many_pages, int url_length);
                        //  Initialize "how_many_pages" of the array with url's that
                        //  are random character strings of "url_length".

       void InitializeFromFile(int how_many_pages, int url_length);
                 // Open the file "URLs.txt" and get ALL the urls there.

       void Print_URLs();
       void InsertPAGE(WebPage* pageptr);
       void InsertURL(char newURL[]);
       void Delete(char input_URL[]);
       bool Member(char input_URL[]);
       int IndexOf(char input_URL[]);
       WebPage* Retrieve(int input_index);
       void Print();
       void MergeSort();                     //  FOR A FUTURE ASSIGNMENT!
 
 };


#endif

